Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipermail
Class DraftsHelper

    java.lang.Object
      com.knowgate.hipermail.DraftsHelper

    public class DraftsHelper

extends java.lang.Object

Helper methods for composing new e-mails

Constructor Summary
`DraftsHelper()`

Method Summary
`static DBMimeMessage` | `draftMessage(DBFolder oDraftsFldr, java.lang.String sMailHost, java.lang.String sGuWorkArea, java.lang.String sUserId, java.lang.String sContentType)`
`static DBMimeMessage` | `draftMessageForForward(DBFolder oDraftsFldr, java.lang.String sMailHost, java.lang.String sGuWorkArea, java.lang.String sUserId, DBFolder oOriginalFldr, java.lang.String sGuOriginalMsg, java.lang.String sContentType)`
`static DBMimeMessage` | `draftMessageForReply(DBFolder oDraftsFldr, java.lang.String sMailHost, java.lang.String sGuWorkArea, java.lang.String sUserId, DBFolder oOriginalFldr, java.lang.String sGuOriginalMsg, boolean bReplyAll, java.lang.String sContentType)`
`static void` | `draftUpdate(JDCConnection oConn, int iIdDomain, java.lang.String sGuWorkarea, java.lang.String sGuMsg, java.lang.String sIdMsg, java.lang.String sTxMailFrom, java.lang.String sTxMailReply, java.lang.String sNmFrom, java.lang.String sTxSubject, java.lang.String sContentType, java.lang.String sBody, java.lang.String[] aTo, java.lang.String[] aCc, java.lang.String[] aBcc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DraftsHelper

    public DraftsHelper()

Method Detail

### draftMessage

    public static DBMimeMessage draftMessage(DBFolder oDraftsFldr,
                                             java.lang.String sMailHost,
                                             java.lang.String sGuWorkArea,
                                             java.lang.String sUserId,
                                             java.lang.String sContentType)
                                      throws java.sql.SQLException,
                                             MessagingException,
                                             java.io.IOException

  Throws:
    `java.sql.SQLException`
    `MessagingException`
    `java.io.IOException`

### draftMessageForReply

    public static DBMimeMessage draftMessageForReply(DBFolder oDraftsFldr,
                                                     java.lang.String sMailHost,
                                                     java.lang.String sGuWorkArea,
                                                     java.lang.String sUserId,
                                                     DBFolder oOriginalFldr,
                                                     java.lang.String sGuOriginalMsg,
                                                     boolean bReplyAll,
                                                     java.lang.String sContentType)
                                              throws java.sql.SQLException,
                                                     MessagingException,
                                                     java.io.IOException

  Throws:
    `java.sql.SQLException`
    `MessagingException`
    `java.io.IOException`

### draftMessageForForward

    public static DBMimeMessage draftMessageForForward(DBFolder oDraftsFldr,
                                                       java.lang.String sMailHost,
                                                       java.lang.String sGuWorkArea,
                                                       java.lang.String sUserId,
                                                       DBFolder oOriginalFldr,
                                                       java.lang.String sGuOriginalMsg,
                                                       java.lang.String sContentType)
                                                throws java.sql.SQLException,
                                                       MessagingException,
                                                       java.io.IOException

  Throws:
    `java.sql.SQLException`
    `MessagingException`
    `java.io.IOException`

### draftUpdate

    public static void draftUpdate(JDCConnection oConn,
                                   int iIdDomain,
                                   java.lang.String sGuWorkarea,
                                   java.lang.String sGuMsg,
                                   java.lang.String sIdMsg,
                                   java.lang.String sTxMailFrom,
                                   java.lang.String sTxMailReply,
                                   java.lang.String sNmFrom,
                                   java.lang.String sTxSubject,
                                   java.lang.String sContentType,
                                   java.lang.String sBody,
                                   java.lang.String[] aTo,
                                   java.lang.String[] aCc,
                                   java.lang.String[] aBcc)
                            throws java.sql.SQLException,
                                   MessagingException,
                                   java.io.IOException,
                                   java.lang.NullPointerException

  Parameters:
    `oConn` - JDCConnection
    `iIdDomain` - int
    `sGuWorkarea` - String
    `sGuMsg` - String
    `sIdMsg` - String
    `sTxMailFrom` - String
    `sTxMailReply` - String
    `sNmFrom` - String
    `sTxSubject` - String
    `sContentType` - String
    `sBody` - String
    `aTo` - String[]
    `aCc` - String[]
    `aBcc` - String[]
  Throws:
    `java.lang.NullPointerException` - if sBody is null
    `UnsupportedDataTypeException`
    `java.sql.SQLException`
    `MessagingException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD